---
title: Set Catalog Item Product Popularity
slug: api-documentation/set-catalog-item-product-popularity
docTags: 
createdAt: 2026-08-27T16:53:40.115Z
---

{
  "id": "f7zTVK_-0HWwzRigAc-T1",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/catalog/productpopularity",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/catalog/productpopularity"
      }
    ],
    "name": "Set Catalog Item Product Popularity",
    "description": "<p>set Catalog Item Product Popularity</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>catalog.update</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "UpdateCatalogItemPopularity",
          "schema": [
            {
              "name": "popularity",
              "kind": "required",
              "type": "array",
              "description": "",
              "modelRef": "#/components/schemas/ProductPopularity",
              "customType": "ProductPopularity[]",
              "schema": [
                {
                  "name": "catalogItemId",
                  "kind": "required",
                  "type": "string",
                  "description": "The unique identifier for the catalog item."
                },
                {
                  "name": "productPopularity",
                  "kind": "optional",
                  "type": "number<double>",
                  "description": "<p>The popularity rating of the product (optional).</p>",
                  "format": "double"
                },
                {
                  "name": "siteIds",
                  "kind": "optional",
                  "type": "array",
                  "description": "<p>The site(s) this popularity value applies to (optional). Omitting this applies the value to all of the item's current sites, matching pre-existing behavior.</p>",
                  "modelRef": "#/components/schemas/SiteId",
                  "customType": "SiteId[]",
                  "schema": []
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/UpdateCatalogItemPopularity",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to \"LoggedIn\", it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Update Catalog Item Popularity Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "UpdateCatalogItemPopularityResponse",
            "schema": [
              {
                "name": "updated",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "The number of catalog items successfully updated.",
                "format": "int32"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "List of errors for catalog items that could not be updated.",
                "modelRef": "#/components/schemas/idsNotFound",
                "customType": "idsNotFound[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "The unique identifier for the catalog item that could not be updated."
                  },
                  {
                    "name": "reason",
                    "kind": "required",
                    "type": "string",
                    "description": "The reason the catalog item could not be updated."
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/UpdateCatalogItemPopularityResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "pAT1g9bFQiHjzWc9RrJId",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/catalog/productpopularity \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"popularity\": [\n     {\n     \"catalogItemId\": \"\"\n     }\n     ]\n     }'"
        },
        {
          "id": "cFDgugXvFq-KpiMGMJR6T",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"popularity\": [\n      {\n         \"catalogItemId\": \"\"\n      }\n   ]\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/catalog/productpopularity\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "2SmcjvXtMDgOUanEudg0l",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/catalog/productpopularity\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"popularity\": [\n      {\n         \"catalogItemId\": \"\"\n      }\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "SVkISnaHPO0Sut2k85BZz",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/catalog/productpopularity\"\n\npayload = json.dumps({\n   \"popularity\": [\n      {\n         \"catalogItemId\": \"\"\n      }\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "pAT1g9bFQiHjzWc9RrJId"
    },
    "results": {
      "languages": [
        {
          "id": "dXM9y7-InqMyjSnQTPxn5",
          "language": "200",
          "code": "// Update Catalog Item Popularity Response\n{\n  \"updated\": \"\",\n  \"errors\": [\n    {\n      \"id\": \"\",\n      \"reason\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "9iwdeAARDse_-ipIDT8UK",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "79oz4PhouQf3JxTVLCewi",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "dXM9y7-InqMyjSnQTPxn5"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}